﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace Trolleybus
{
    class EntitySmallTrolleybus : EntityTrolleybus
    {
        /// <summary>
        /// Дополнительный цвет
        /// </summary>
        public Color DopColor { get; set; }
        /// <summary>
        /// Признак наличия обвеса
        /// </summary>
        public bool BodyKit { get; set; }
        /// <summary>
        /// Признак наличия гоночной полосы
        /// </summary>
        public bool Horns { get; set; }
        public bool Battary { get; set; }
        /// <summary>
        /// Инициализация свойств
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес автомобиля</param>
        /// <param name="bodyColor">Цвет кузова</param>
        /// <param name="dopColor">Дополнительный цвет</param>
        /// <param name="bodyKit">Признак наличия обвеса</param>
        /// <param name="horns">Признак наличия гоночной полосы</param>
        /// /// <param name="battary">Признак наличия гоночной полосы</param>
        public EntitySmallTrolleybus(int speed, float weight, Color bodyColor, Color dopColor, bool bodyKit, bool horns, bool battary) :
            base(speed, weight, bodyColor)
        {
            DopColor = dopColor;
            BodyKit = bodyKit;
            Horns = horns;
            Battary = battary;
        }
    }
}
