﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Trolleybus
{
    internal class TrolleybusNotFoundException : ApplicationException
    {
        public TrolleybusNotFoundException() : base() { }
        public TrolleybusNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public TrolleybusNotFoundException(string message) : base(message) { }
        public TrolleybusNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected TrolleybusNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
