﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static System.Windows.Forms.AxHost;

namespace Trolleybus
{
    internal class DrawningObject
    {
        public DrawingTrolleybus _trolleybus = null;

        public DrawningObject(DrawingTrolleybus car)
        {
            _trolleybus = car;
        }

        public float Step => _trolleybus?.Trolleybus?.Step ?? 0;

        public (float Left, float Right, float Top, float Bottom) GetCurrentPosition()
        {
            return _trolleybus?.GetCurrentPosition() ?? default;
        }

        public void MoveObject(Direction direction)
        {
            _trolleybus?.MoveTransport(direction);
        }

        public void nothing()
        {
            throw new NotImplementedException();
        }

        public void SetObject(int x, int y, int width, int height)
        {
            _trolleybus.SetPosition(x, y, width, height);
        }
    }
}
