﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Trolleybus
{
    internal class StorageOverflowException : ApplicationException
    {
        public StorageOverflowException() : base() { }
        public StorageOverflowException(int count) : base($"В наборе превышино количество: {count} элементов") { }
        public StorageOverflowException(string message) : base(message) { }
        public StorageOverflowException(string message, Exception exception) : base(message, exception) { }
        protected StorageOverflowException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
